Index: /main/waeup.kofa/trunk/src/waeup/kofa/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/__init__.py	(revision 7811)
@@ -1,13 +1,13 @@
 import grok
-from waeup.sirp.interfaces import ISIRPObject
+from waeup.kofa.interfaces import IKOFAObject
 from zope.annotation.attribute import AttributeAnnotations
 from zope.annotation.interfaces import IAnnotations
 
-class SIRPAttributeAnnotations(AttributeAnnotations, grok.Adapter):
-    """An adapter to IAnnotations for any SIRPObject.
+class KOFAAttributeAnnotations(AttributeAnnotations, grok.Adapter):
+    """An adapter to IAnnotations for any KOFAObject.
 
-    Providing this adapter, each SIRP object becomes (attribute)
+    Providing this adapter, each KOFA object becomes (attribute)
     annotatable.
     """
     grok.provides(IAnnotations)
-    grok.context(ISIRPObject)
+    grok.context(IKOFAObject)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/__init__.py	(revision 7811)
@@ -4,5 +4,5 @@
 
 Main content components are defined in
-:mod:`waeup.sirp.accesscodes.accesscode`. This subpackage also
+:mod:`waeup.kofa.accesscodes.accesscode`. This subpackage also
 provides a _catalog_ to lookup any access code quickly and a
 _workflow_ to guarantee consistent states and transitions when dealing
@@ -11,10 +11,10 @@
 We also provide UI components to generate, archive, import and
 reimport access codes or batches thereof. These parts are defined in
-:mod:`waeup.sirp.accesscodes.browser`.
+:mod:`waeup.kofa.accesscodes.browser`.
 
 The interfaces of this subpackage are defined in
-:mod:`waeup.sirp.accesscodes.interfaces`.
+:mod:`waeup.kofa.accesscodes.interfaces`.
 """
-from waeup.sirp.accesscodes.accesscode import (
+from waeup.kofa.accesscodes.accesscode import (
     get_access_code, invalidate_accesscode, disable_accesscode,
     reenable_accesscode, create_accesscode,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 7811)
@@ -31,10 +31,10 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from random import SystemRandom as random
-from waeup.sirp.interfaces import ISIRPPluggable, IObjectHistory
-from waeup.sirp.utils.logger import Logger
-from waeup.sirp.accesscodes.interfaces import (
+from waeup.kofa.interfaces import IKOFAPluggable, IObjectHistory
+from waeup.kofa.utils.logger import Logger
+from waeup.kofa.accesscodes.interfaces import (
     IAccessCode, IAccessCodeBatch, IAccessCodeBatchContainer
     )
-from waeup.sirp.accesscodes.workflow import DISABLED, USED, ac_states_dict
+from waeup.kofa.accesscodes.workflow import DISABLED, USED, ac_states_dict
 
 class AccessCode(grok.Model):
@@ -42,5 +42,5 @@
 
     Implements
-    :class:`waeup.sirp.accesscodes.interfaces.IAccessCode`. :class:`AccessCode`
+    :class:`waeup.kofa.accesscodes.interfaces.IAccessCode`. :class:`AccessCode`
     instances are normally part of an :class:`AccessCodeBatch` so
     their representation (or code) is built with the containing batch
@@ -68,10 +68,10 @@
     The state of an access code is something like 'used', 'disabled',
     etc. and determined by the workflow defined in
-    :mod:`waeup.sirp.accesscodes.workflow`. This also means that
+    :mod:`waeup.kofa.accesscodes.workflow`. This also means that
     instead of setting the status of an access code directly (you
     can't do that easily, and yes, that's intentionally), you have to
     trigger a transition (that might fail, if the transition is not
     allowed in terms of logic or permissions). See
-    :mod:`waeup.sirp.accesscodes.workflow` for details.
+    :mod:`waeup.kofa.accesscodes.workflow` for details.
 
     """
@@ -139,5 +139,5 @@
     @property
     def history(self):
-        """A :class:`waeup.sirp.objecthistory.ObjectHistory` instance.
+        """A :class:`waeup.kofa.objecthistory.ObjectHistory` instance.
         """
         history = IObjectHistory(self)
@@ -285,5 +285,5 @@
         If the path does not exist yet, it is created. The path is
         normally ``accesscodes/imports`` below the datacenter storage
-        path (see :data:`waeup.sirp.accesscodes.Datacenter.storage`).
+        path (see :data:`waeup.kofa.accesscodes.Datacenter.storage`).
         """
         site = grok.getSite()
@@ -403,5 +403,5 @@
         return
 
-    logger_name = 'waeup.sirp.${sitename}.accesscodes'
+    logger_name = 'waeup.kofa.${sitename}.accesscodes'
     logger_filename = 'accesscodes.log'
 
@@ -415,5 +415,5 @@
 class AccessCodePlugin(grok.GlobalUtility):
     grok.name('accesscodes')
-    grok.implements(ISIRPPluggable)
+    grok.implements(IKOFAPluggable)
 
     def setup(self, site, name, logger):
@@ -481,5 +481,5 @@
     `arg` tells what kind of transition to trigger. This will be a
     transition id like ``'use'`` or ``'init'``, or some transition
-    target like :data:`waeup.sirp.accesscodes.workflow.INITIALIZED`.
+    target like :data:`waeup.kofa.accesscodes.workflow.INITIALIZED`.
 
     If `toward` is ``False`` (the default) you have to pass a
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 7811)
@@ -21,20 +21,20 @@
 from datetime import datetime
 from hurry.workflow.interfaces import InvalidTransitionError
-from waeup.sirp.browser.resources import datatable
-from waeup.sirp.browser import SIRPPage, SIRPAddFormPage, NullValidator
-from waeup.sirp.browser.breadcrumbs import Breadcrumb
-from waeup.sirp.browser.viewlets import (
+from waeup.kofa.browser.resources import datatable
+from waeup.kofa.browser import KOFAPage, KOFAAddFormPage, NullValidator
+from waeup.kofa.browser.breadcrumbs import Breadcrumb
+from waeup.kofa.browser.viewlets import (
     AdminTask, AddActionButton, SearchActionButton, BatchOpButton, ManageLink)
-from waeup.sirp.interfaces import ISIRPObject
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.accesscodes.interfaces import (
+from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.accesscodes.interfaces import (
     IAccessCodeBatchContainer, IAccessCodeBatch,
     )
-from waeup.sirp.accesscodes.catalog import search
-from waeup.sirp.browser.layout import action
-
-grok.context(ISIRPObject)
-
-class BatchContainerPage(SIRPPage):
+from waeup.kofa.accesscodes.catalog import search
+from waeup.kofa.browser.layout import action
+
+grok.context(IKOFAObject)
+
+class BatchContainerPage(KOFAPage):
     grok.name('index')
     grok.context(IAccessCodeBatchContainer)
@@ -55,5 +55,5 @@
         if isinstance(batches, basestring):
             batches = [batches]
-        ob_class = self.__implemented__.__name__.replace('waeup.sirp.','')
+        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
         for name in batches:
             batch = self.context[name]
@@ -70,5 +70,5 @@
             self.context.logger_info(ob_class, message)
 
-class AddBatchPage(SIRPAddFormPage):
+class AddBatchPage(KOFAAddFormPage):
     grok.name('add')
     grok.context(IAccessCodeBatchContainer)
@@ -92,5 +92,5 @@
             mapping = {'a':data['entry_num']}))
         self.flash(_('Data written to ${a}', mapping = {'a':csv_file}))
-        ob_class = self.__implemented__.__name__.replace('waeup.sirp.','')
+        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
         message = 'created: %s (%d, %f)' % (
             csv_file, data['entry_num'], data['cost'])
@@ -103,5 +103,5 @@
         self.redirect(self.url(self.context))
 
-class ReimportBatchPage(SIRPPage):
+class ReimportBatchPage(KOFAPage):
     """Screen for reimporting AC batches.
     """
@@ -139,10 +139,10 @@
             self.flash(_('Successfully reimported: ${a}',
                 mapping = {'a':filename}))
-            ob_class = self.__implemented__.__name__.replace('waeup.sirp.','')
+            ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
             message = 'reimported: %s' % filename
             self.context.logger_info(ob_class, message)
         self.redirect(self.url(self.context))
 
-class BatchContainerSearchPage(SIRPPage):
+class BatchContainerSearchPage(KOFAPage):
     grok.name('search')
     grok.context(IAccessCodeBatchContainer)
@@ -174,5 +174,5 @@
         if isinstance(entries, basestring):
             entries = [entries]
-        ob_class = self.__implemented__.__name__.replace('waeup.sirp.','')
+        ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
         for entry in entries:
             if 'disable' in form:
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/batchcontainer.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/batchcontainer.pt	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/batchcontainer.pt	(revision 7811)
@@ -1,3 +1,3 @@
-<form i18n:domain="waeup.sirp" method="POST">
+<form i18n:domain="waeup.kofa" method="POST">
   <p i18n:translate="">
     The following batches are available:
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/reimportbatchpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/reimportbatchpage.pt	(revision 7811)
@@ -1,7 +1,7 @@
-<p i18n:domain="waeup.sirp">
+<p i18n:domain="waeup.kofa">
 Please select the files to reimport. Please note, that batches with
 same name have to be deleted before.
 </p>
-<form method="POST" i18n:domain="waeup.sirp">
+<form method="POST" i18n:domain="waeup.kofa">
   <table>
     <thead>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 7811)
@@ -1,3 +1,3 @@
-<form method="POST" i18n:domain="waeup.sirp">
+<form method="POST" i18n:domain="waeup.kofa">
 <br />
   <input type="submit" class="btn primary" name="search"
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/catalog.py	(revision 7811)
@@ -23,6 +23,6 @@
 from hurry.query.query import Query
 from zope.index.text.parsetree import ParseError
-from waeup.sirp.interfaces import IUniversity, IQueryResultItem
-from waeup.sirp.accesscodes.interfaces import IAccessCode
+from waeup.kofa.interfaces import IUniversity, IQueryResultItem
+from waeup.kofa.accesscodes.interfaces import IAccessCode
 
 class AccessCodeIndexes(grok.Indexes):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 7811)
@@ -20,8 +20,8 @@
 from zope import schema
 from zope.interface import Interface
-from waeup.sirp.interfaces import ISIRPObject
-from waeup.sirp.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import IKOFAObject
+from waeup.kofa.interfaces import MessageFactory as _
 
-class IAccessCode(ISIRPObject):
+class IAccessCode(IKOFAObject):
     """An access code.
     """
@@ -92,5 +92,5 @@
         )
 
-class IAccessCodeBatchContainer(ISIRPObject):
+class IAccessCodeBatchContainer(IKOFAObject):
     """A container for access code batches.
     """
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 7811)
@@ -28,15 +28,15 @@
 from zope.interface.verify import verifyObject, verifyClass
 from zope.testing import renormalizing
-from waeup.sirp.app import University
-from waeup.sirp.interfaces import IObjectHistory, ISIRPPluggable
-from waeup.sirp.testing import (
+from waeup.kofa.app import University
+from waeup.kofa.interfaces import IObjectHistory, IKOFAPluggable
+from waeup.kofa.testing import (
     FunctionalLayer, FunctionalTestCase, setUp, tearDown, getRootFolder)
-from waeup.sirp.accesscodes.accesscode import (
+from waeup.kofa.accesscodes.accesscode import (
     AccessCodeBatch, get_access_code, invalidate_accesscode, AccessCode,
     disable_accesscode, reenable_accesscode, fire_transition,
     AccessCodeBatchContainer, AccessCodePlugin)
-from waeup.sirp.accesscodes.interfaces import (
+from waeup.kofa.accesscodes.interfaces import (
     IAccessCode, IAccessCodeBatch,  IAccessCodeBatchContainer,)
-from waeup.sirp.accesscodes.workflow import INITIALIZED, USED, DISABLED
+from waeup.kofa.accesscodes.workflow import INITIALIZED, USED, DISABLED
 
 
@@ -412,6 +412,6 @@
     def test_iface(self):
         plugin = AccessCodePlugin()
-        assert verifyObject(ISIRPPluggable, plugin)
-        assert verifyClass(ISIRPPluggable, AccessCodePlugin)
+        assert verifyObject(IKOFAPluggable, plugin)
+        assert verifyClass(IKOFAPluggable, AccessCodePlugin)
 
     def test_update_w_ac_container(self):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_catalog.py	(revision 7811)
@@ -22,11 +22,11 @@
 from zope.component.hooks import setSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.app import University
-from waeup.sirp.interfaces import IQueryResultItem
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.accesscodes.accesscode import (
+from waeup.kofa.app import University
+from waeup.kofa.interfaces import IQueryResultItem
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.accesscodes.accesscode import (
     AccessCodeBatch, invalidate_accesscode, disable_accesscode)
-from waeup.sirp.accesscodes.workflow import INITIALIZED, USED, DISABLED
-from waeup.sirp.accesscodes.catalog import AccessCodeQueryResultItem, search
+from waeup.kofa.accesscodes.workflow import INITIALIZED, USED, DISABLED
+from waeup.kofa.accesscodes.catalog import AccessCodeQueryResultItem, search
 
 class CatalogTestSetup(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_workflow.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_workflow.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_workflow.py	(revision 7811)
@@ -18,6 +18,6 @@
 import shutil
 import tempfile
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.accesscodes.workflow import (
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.accesscodes.workflow import (
     invalidate_action, disable_used_action, disable_unused_action,
     reenable_action,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/workflow.py	(revision 7811)
@@ -25,8 +25,8 @@
 from hurry.workflow.workflow import Transition, WorkflowState, NullCondition
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
-from waeup.sirp.accesscodes.interfaces import IAccessCode
-from waeup.sirp.interfaces import IObjectHistory, ISIRPWorkflowInfo
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
+from waeup.kofa.accesscodes.interfaces import IAccessCode
+from waeup.kofa.interfaces import IObjectHistory, IKOFAWorkflowInfo
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.workflow import KOFAWorkflow, KOFAWorkflowInfo
 
 INITIALIZED = 'initialized'
@@ -113,5 +113,5 @@
     )
 
-accesscode_workflow = SIRPWorkflow(ACCESSCODE_TRANSITIONS)
+accesscode_workflow = KOFAWorkflow(ACCESSCODE_TRANSITIONS)
 
 class AccessCodeWorkflowState(WorkflowState, grok.Adapter):
@@ -122,7 +122,7 @@
     state_id = 'wf.accesscode.id'
 
-class AccessCodeWorkflowInfo(SIRPWorkflowInfo, grok.Adapter):
+class AccessCodeWorkflowInfo(KOFAWorkflowInfo, grok.Adapter):
     grok.context(IAccessCode)
-    grok.provides(ISIRPWorkflowInfo)
+    grok.provides(IKOFAWorkflowInfo)
 
     def __init__(self, context):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/app.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/app.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/app.py	(revision 7811)
@@ -21,14 +21,14 @@
 from zope.component.interfaces import ObjectEvent
 from zope.pluggableauth import PluggableAuthentication
-from waeup.sirp.authentication import setup_authentication
-from waeup.sirp.datacenter import DataCenter
-from waeup.sirp.students.container import StudentsContainer
-from waeup.sirp.hostels.container import HostelsContainer
-from waeup.sirp.interfaces import (
-    IUniversity, ISIRPPluggable, IObjectUpgradeEvent, )
-from waeup.sirp.userscontainer import UsersContainer
-from waeup.sirp.utils.logger import Logger
-from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.configuration import ConfigurationContainer
+from waeup.kofa.authentication import setup_authentication
+from waeup.kofa.datacenter import DataCenter
+from waeup.kofa.students.container import StudentsContainer
+from waeup.kofa.hostels.container import HostelsContainer
+from waeup.kofa.interfaces import (
+    IUniversity, IKOFAPluggable, IObjectUpgradeEvent, )
+from waeup.kofa.userscontainer import UsersContainer
+from waeup.kofa.utils.logger import Logger
+from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.configuration import ConfigurationContainer
 
 class University(grok.Application, grok.Container, Logger):
@@ -64,5 +64,5 @@
         """Create instances of all plugins defined somewhere.
         """
-        for name, plugin in getUtilitiesFor(ISIRPPluggable):
+        for name, plugin in getUtilitiesFor(IKOFAPluggable):
             plugin.setup(self, name, self.logger)
         return
@@ -76,5 +76,5 @@
         self.logger.info('Done.')
         self.logger.info('Now upgrading any plugins.')
-        for name, plugin in getUtilitiesFor(ISIRPPluggable):
+        for name, plugin in getUtilitiesFor(IKOFAPluggable):
             plugin.update(self, name, self.logger)
         self.logger.info('Plugin update finished.')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/__init__.py	(revision 7811)
@@ -2,11 +2,11 @@
 """
 # Make this a package.
-from waeup.sirp.applicants.applicant import (
+from waeup.kofa.applicants.applicant import (
     Applicant, ApplicantFactory, ApplicantImageStoreHandler,
     ApplicantImageNameChooser,
     )
-from waeup.sirp.applicants.container import ApplicantsContainer
-from waeup.sirp.applicants.root import ApplicantsRoot
-from waeup.sirp.applicants.dynamicroles import (
+from waeup.kofa.applicants.container import ApplicantsContainer
+from waeup.kofa.applicants.root import ApplicantsRoot
+from waeup.kofa.applicants.dynamicroles import (
     ApplicantPrincipalRoleManager,)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 7811)
@@ -26,14 +26,14 @@
 from zope.interface import implementedBy
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
-from waeup.sirp.app import University
-from waeup.sirp.image import SIRPImageFile
-from waeup.sirp.imagestorage import DefaultFileStoreHandler
-from waeup.sirp.interfaces import (
-    IObjectHistory, IFileStoreHandler, IFileStoreNameChooser, ISIRPUtils,
+from waeup.kofa.app import University
+from waeup.kofa.image import KOFAImageFile
+from waeup.kofa.imagestorage import DefaultFileStoreHandler
+from waeup.kofa.interfaces import (
+    IObjectHistory, IFileStoreHandler, IFileStoreNameChooser, IKOFAUtils,
     IExtFileStore, IPDF, IUserAccount)
-from waeup.sirp.students.vocabularies import RegNumNotInSource
-from waeup.sirp.utils.helpers import attrs_to_fields
-from waeup.sirp.applicants.interfaces import IApplicant, IApplicantEdit
-from waeup.sirp.applicants.workflow import application_states_dict
+from waeup.kofa.students.vocabularies import RegNumNotInSource
+from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.applicants.interfaces import IApplicant, IApplicantEdit
+from waeup.kofa.applicants.workflow import application_states_dict
 
 class Applicant(grok.Container):
@@ -76,6 +76,6 @@
     def display_fullname(self):
         middlename = getattr(self, 'middlename', None)
-        sirp_utils = getUtility(ISIRPUtils)
-        return sirp_utils.fullname(self.firstname, self.lastname, middlename)
+        kofa_utils = getUtility(IKOFAUtils)
+        return kofa_utils.fullname(self.firstname, self.lastname, middlename)
 
     def createStudent(self, view=None):
@@ -196,5 +196,5 @@
 
     This chooser is registered as an adapter providing
-    :class:`waeup.sirp.interfaces.IFileStoreNameChooser`.
+    :class:`waeup.kofa.interfaces.IFileStoreNameChooser`.
 
     File store name choosers like this one are only convenience
@@ -203,5 +203,5 @@
     manually setting up filenames for applicants.
 
-    .. seealso:: :mod:`waeup.sirp.imagestorage`
+    .. seealso:: :mod:`waeup.kofa.imagestorage`
 
     """
@@ -291,5 +291,5 @@
             ApplicantImageStoreHandler, self).createFile(
             store, root,  filename, file_id, file)
-        return file, path, SIRPImageFile(
+        return file, path, KOFAImageFile(
             file_obj.filename, file_obj.data)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/authentication.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/authentication.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/authentication.py	(revision 7811)
@@ -21,7 +21,7 @@
 import grok
 from zope.pluggableauth.interfaces import IAuthenticatorPlugin
-from waeup.sirp.interfaces import IAuthPluginUtility, IUserAccount
-from waeup.sirp.applicants.interfaces import IApplicant
-from waeup.sirp.students.authentication import (
+from waeup.kofa.interfaces import IAuthPluginUtility, IUserAccount
+from waeup.kofa.applicants.interfaces import IApplicant
+from waeup.kofa.students.authentication import (
     StudentAccount, StudentsAuthenticatorPlugin)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/batching.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/batching.py	(revision 7811)
@@ -24,8 +24,8 @@
 from zope.component import queryUtility
 from zope.catalog.interfaces import ICatalog
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IBatchProcessor, IObjectConverter, FatalCSVError)
-from waeup.sirp.utils.batching import BatchProcessor
-from waeup.sirp.applicants.interfaces import (
+from waeup.kofa.utils.batching import BatchProcessor
+from waeup.kofa.applicants.interfaces import (
     IApplicantsContainer, IApplicant, IApplicantUpdateByRegNo)
 
